# norootforbuild
%define pkg_name    txforward
%define pkg_version 1.0.7
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-txforward
Version:	%{pkg_version}
Release:	2.9
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php5-devel gcc gcc-c++
Requires:	php5 = %{php_version}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tar.bz2
Summary:	Reverse Proxy (web accelerator) PHP compatibility layer

%description
Makes reverse-proxing (web accelerator) totally invisible for php applications. Doesn't require php code modifications to handle X-Forwarded-IP.
* Stills allows proxy-aware applications to work with X-Forwarded headers and proxy IP address.
* Should work with any web server
* Should work with any proxy server

Using this extension with on a non reverse proxied system will result in a security issue.

Authors:
---------

		Francois Cartegnie

%debug_package

%prep
%setup -n %{pkg_name}-%{version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable txforward extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/txforward.ini
echo "extension = txforward.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/txforward.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/txforward.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/txforward.ini
%doc CREDITS README

%changelog
* Fri May  6 2011 cs@linux-administrator.com
- update to release 1.0.7
